Subject: Re: RFE: "git bisect reverse"

From: Matthieu Moy <[email-masked]>
Date: Wed, 27 May 2009 22:26:01 +0200

Nanako Shiraishi <[email-masked]> writes:

> Quoting "H. Peter Anvin" <[email-masked]>:
>
>> I would like to request the following feature:
>>
>> "git bisect reverse"
>>
>> ... does exactly the same thing as "git bisect start", except that it
>> flips the meaning of "good" and "bad".  It is mentally fairly taxing to
>> do a reverse bisection (looking for an antiregression) when one has to
>> flip the meaning of "good" and "bad" (which are very loaded words to our
>> psyche), and it's even worse to try to get a user to do it...
>
> There was a discussion on "fixed" and "unfixed" aliases to find a commit that fixed an old breakage.
>
>   http://thread.gmane.org/gmane.comp.version-control.git/86063/focus=86563

I think the bzr "bisect" plugin uses "yes" and "no" instead for this
reason. I find it mentally easier to adapt it to both cases ("yes,
it's fixed" or "yes, it's broken" depending on what you search).

-- 
Matthieu